Subject: Re: bug#35130: 27.0.50; gnus cannot save

From: Eric Abrahamsen <[email-masked]>
Date: Tue, 30 Apr 2019 14:34:59 -0700

On 04/30/19 17:23 PM, James Cloos wrote:
> I found another bug from this change.
>
> (gnus-group-list-level) (A l or A L in the *Group* buffer) has become
> horribly slow and cpu intensive.
>
> It used to be simple and nearly instantaneous.
>
> All of the group-list functions MUST be fast.  None of them should
> require any significant work.

I'm not able to reproduce this, the list-level command is pretty much
instantaneous for me. Are you doing this with topic mode on or off? If
it's off, could you edebug `gnus-group-prepare-flat' and see if anything
is obviously taking a bunch of time?

I can't guess what would be slowing the process down that much.